Package com.sas.services.information.metadata

# Class AnalyticTableAttributes

java.lang.Object
com.sas.services.information.metadata.AnalyticTableAttributes

All Implemented Interfaces:
  `Serializable`

public class AnalyticTableAttributes extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnalyticTableAttributes(boolean useExternalData, double samplingRate, String segment, String analyticTableRole, String analyticTableType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getAnalyticTableRole()`
  `final String`
  `getAnalyticTableType()`
  `final double`
  `getSamplingRate()`
  `final String`
  `getSegment()`
  `final boolean`
  `isUseExternalData()`
  `final void`
  `setAnalyticTableRole(String analyticTableRole)`
  `final void`
  `setAnalyticTableType(String analyticTableType)`
  `final void`
  `setSamplingRate(double samplingRate)`
  `final void`
  `setSegment(String segment)`
  `final void`
  `setUseExternalData(boolean useExternalData)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnalyticTableAttributes

    public AnalyticTableAttributes(boolean useExternalData, double samplingRate, String segment, String analyticTableRole, String analyticTableType)

- ## Method Details

  - ### getAnalyticTableRole

    public final String getAnalyticTableRole()
    Returns:
      Returns the analyticTableRole.

  - ### setAnalyticTableRole

    public final void setAnalyticTableRole(String analyticTableRole)
    Parameters:
      `analyticTableRole` - The analyticTableRole to set.

  - ### getAnalyticTableType

    public final String getAnalyticTableType()
    Returns:
      Returns the analyticTableType.

  - ### setAnalyticTableType

    public final void setAnalyticTableType(String analyticTableType)
    Parameters:
      `analyticTableType` - The analyticTableType to set.

  - ### getSamplingRate

    public final double getSamplingRate()
    Returns:
      Returns the samplingRate.

  - ### setSamplingRate

    public final void setSamplingRate(double samplingRate)
    Parameters:
      `samplingRate` - The samplingRate to set.

  - ### getSegment

    public final String getSegment()
    Returns:
      Returns the segment.

  - ### setSegment

    public final void setSegment(String segment)
    Parameters:
      `segment` - The segment to set.

  - ### isUseExternalData

    public final boolean isUseExternalData()
    Returns:
      Returns the useExternalData.

  - ### setUseExternalData

    public final void setUseExternalData(boolean useExternalData)
    Parameters:
      `useExternalData` - The useExternalData to set.